Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.access.jdbc
Class EJBQLFromTranslator

    java.lang.Object
      org.apache.cayenne.ejbql.EJBQLBaseVisitor
          org.apache.cayenne.access.jdbc.EJBQLFromTranslator

All Implemented Interfaces:
  EJBQLExpressionVisitor

    public class EJBQLFromTranslator

extends EJBQLBaseVisitor

Since:
  3.0
Author:
  Andrus Adamchik

Field Summary
`protected EJBQLTranslationContext` | `context`

Fields inherited from class org.apache.cayenne.ejbql.EJBQLBaseVisitor
`continueFlag`

Constructor Summary
`EJBQLFromTranslator(EJBQLTranslationContext context)`

Method Summary
`protected String` | `appendTable(String id)`
`boolean` | `visitFrom(EJBQLExpression expression, int finishedChildIndex)`
`boolean` | `visitFromItem(EJBQLFromItem expression, int finishedChildIndex)`
`boolean` | `visitInnerFetchJoin(EJBQLJoin join)`
`boolean` | `visitInnerJoin(EJBQLJoin join)`
`boolean` | `visitOuterFetchJoin(EJBQLJoin join)`
`boolean` | `visitOuterJoin(EJBQLJoin join)`

Methods inherited from class org.apache.cayenne.ejbql.EJBQLBaseVisitor
`visitAbs, visitAbstractSchemaName, visitAdd, visitAggregate, visitAll, visitAnd, visitAny, visitAscending, visitAverage, visitBetween, visitBooleanLiteral, visitClassName, visitConcat, visitConstructor, visitConstructorParameter, visitConstructorParameters, visitCount, visitCurrentDate, visitCurrentTime, visitCurrentTimestamp, visitDecimalLiteral, visitDelete, visitDescending, visitDistinct, visitDivide, visitEquals, visitEscapeCharacter, visitExists, visitGreaterOrEqual, visitGreaterThan, visitGroupBy, visitHaving, visitIdentificationVariable, visitIdentifier, visitIn, visitIntegerLiteral, visitIsEmpty, visitIsNull, visitLength, visitLessOrEqual, visitLessThan, visitLike, visitLocate, visitLower, visitMax, visitMemberOf, visitMin, visitMod, visitMultiply, visitNamedInputParameter, visitNegative, visitNot, visitNotEquals, visitOr, visitOrderBy, visitOrderByItem, visitPath, visitPatternValue, visitPositionalInputParameter, visitSelect, visitSelectClause, visitSelectExpression, visitSelectExpressions, visitSize, visitSqrt, visitStringLiteral, visitSubselect, visitSubstring, visitSubtract, visitSum, visitTok, visitTrim, visitTrimBoth, visitTrimCharacter, visitTrimLeading, visitTrimTrailing, visitUpdate, visitUpdateField, visitUpdateItem, visitUpdateValue, visitUpper, visitWhere`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### context

    protected EJBQLTranslationContext context

Constructor Detail

### EJBQLFromTranslator

    public EJBQLFromTranslator(EJBQLTranslationContext context)

Method Detail

### visitFrom

    public boolean visitFrom(EJBQLExpression expression,
                             int finishedChildIndex)

  Specified by:
    `visitFrom` in interface `EJBQLExpressionVisitor`
  Overrides:
    `visitFrom` in class `EJBQLBaseVisitor`

### visitFromItem

    public boolean visitFromItem(EJBQLFromItem expression,
                                 int finishedChildIndex)

  Specified by:
    `visitFromItem` in interface `EJBQLExpressionVisitor`
  Overrides:
    `visitFromItem` in class `EJBQLBaseVisitor`

### visitInnerFetchJoin

    public boolean visitInnerFetchJoin(EJBQLJoin join)

  Specified by:
    `visitInnerFetchJoin` in interface `EJBQLExpressionVisitor`
  Overrides:
    `visitInnerFetchJoin` in class `EJBQLBaseVisitor`

### visitInnerJoin

    public boolean visitInnerJoin(EJBQLJoin join)

  Specified by:
    `visitInnerJoin` in interface `EJBQLExpressionVisitor`
  Overrides:
    `visitInnerJoin` in class `EJBQLBaseVisitor`

### visitOuterFetchJoin

    public boolean visitOuterFetchJoin(EJBQLJoin join)

  Specified by:
    `visitOuterFetchJoin` in interface `EJBQLExpressionVisitor`
  Overrides:
    `visitOuterFetchJoin` in class `EJBQLBaseVisitor`

### visitOuterJoin

    public boolean visitOuterJoin(EJBQLJoin join)

  Specified by:
    `visitOuterJoin` in interface `EJBQLExpressionVisitor`
  Overrides:
    `visitOuterJoin` in class `EJBQLBaseVisitor`

### appendTable

    protected String appendTable(String id)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2007 Apache Cayenne. All Rights Reserved.